Subject: Re: bug#39079: SBCL CFFI from Guix unable to find dynamic libraries

From: Ludovic Courtès <[email-masked]>
Date: Fri, 17 Jan 2020 22:27:41 +0100

Hi Evan,

Evan Straw <[email-masked]> skribis:

> I am attempting to load "/usr/lib/x86_64-linux-gnu/libcurl.so.4" since
> the tutorial for CFFI starts by loading libcurl. This library depends on
> the following other libraries, as reported by `ldd
> /usr/lib/x86_64-linux-gnu/libcurl.so.4`:

That cannot work: this libcurl.so is linked against a different libc
(among other things) than the ‘sbcl’ program from Guix, so trying to
load it in a running Guix ‘sbcl’ is bound to fail.

What would work instead is loading Guix’ libcurl.so.  I suppose you
could do that by removing /usr/lib from ‘*foreign-library-directories*’.

HTH!

Ludo’.